Skip to main content
PUT
/
v4
/
core
/
companies
/
{companyId}
/
invoices
Update an invoice
curl --request PUT \
  --url https://api.integrations.commenda.io/v4/core/companies/{companyId}/invoices \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "data": {
    "platform_id": "string",
    "transaction_ids": [
      "string"
    ],
    "order_ids": [
      "string"
    ],
    "sales_order_ids": [
      "string"
    ],
    "contact_id": "string",
    "currency_id": "AED",
    "currency_rate": 0,
    "document_number": "string",
    "posted_date": "2024-01-01T00:00:00Z",
    "due_date": "2024-01-01T00:00:00Z",
    "status": "DRAFT",
    "sub_total": 0,
    "tax_amount": 0,
    "total_discount": 0,
    "shipping_amount": 0,
    "total_amount": 0,
    "amount_paid": 0,
    "amount_refunded": 0,
    "amount_credited": 0,
    "amount_due": 0,
    "memo": "string",
    "subscription_id": "string",
    "payment_link": "string",
    "payment_link_expires_at": "2024-01-01T00:00:00Z",
    "created_at": "2024-01-01T00:00:00Z",
    "updated_at": "2024-01-01T00:00:00Z",
    "line_items": [
      {
        "platform_id": "string",
        "tracking_category_ids": [
          "string"
        ],
        "parent_id": "string",
        "parent_type": "BILL",
        "item_id": "string",
        "name": "string",
        "description": "string",
        "quantity": 0,
        "unit_amount": 0,
        "tax_amount": 0,
        "discount_amount": 0,
        "sub_total": 0,
        "total_amount": 0,
        "tax_id": "string",
        "account_id": "string",
        "variant_id": "string",
        "created_at": "2024-01-01T00:00:00Z",
        "updated_at": "2024-01-01T00:00:00Z"
      }
    ],
    "addresses": [
      {
        "platform_id": "string",
        "parent_id": "string",
        "parent_type": "ACCOUNT",
        "type": "SHIPPING",
        "street": "string",
        "street2": "string",
        "locality": "string",
        "city": "string",
        "state": "string",
        "postal_code": "string",
        "country": "string"
      }
    ]
  }
}
'
import requests

url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/invoices"

payload = { "data": {
"platform_id": "string",
"transaction_ids": ["string"],
"order_ids": ["string"],
"sales_order_ids": ["string"],
"contact_id": "string",
"currency_id": "AED",
"currency_rate": 0,
"document_number": "string",
"posted_date": "2024-01-01T00:00:00Z",
"due_date": "2024-01-01T00:00:00Z",
"status": "DRAFT",
"sub_total": 0,
"tax_amount": 0,
"total_discount": 0,
"shipping_amount": 0,
"total_amount": 0,
"amount_paid": 0,
"amount_refunded": 0,
"amount_credited": 0,
"amount_due": 0,
"memo": "string",
"subscription_id": "string",
"payment_link": "string",
"payment_link_expires_at": "2024-01-01T00:00:00Z",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"line_items": [
{
"platform_id": "string",
"tracking_category_ids": ["string"],
"parent_id": "string",
"parent_type": "BILL",
"item_id": "string",
"name": "string",
"description": "string",
"quantity": 0,
"unit_amount": 0,
"tax_amount": 0,
"discount_amount": 0,
"sub_total": 0,
"total_amount": 0,
"tax_id": "string",
"account_id": "string",
"variant_id": "string",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
],
"addresses": [
{
"platform_id": "string",
"parent_id": "string",
"parent_type": "ACCOUNT",
"type": "SHIPPING",
"street": "string",
"street2": "string",
"locality": "string",
"city": "string",
"state": "string",
"postal_code": "string",
"country": "string"
}
]
} }
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
platform_id: 'string',
transaction_ids: ['string'],
order_ids: ['string'],
sales_order_ids: ['string'],
contact_id: 'string',
currency_id: 'AED',
currency_rate: 0,
document_number: 'string',
posted_date: '2024-01-01T00:00:00Z',
due_date: '2024-01-01T00:00:00Z',
status: 'DRAFT',
sub_total: 0,
tax_amount: 0,
total_discount: 0,
shipping_amount: 0,
total_amount: 0,
amount_paid: 0,
amount_refunded: 0,
amount_credited: 0,
amount_due: 0,
memo: 'string',
subscription_id: 'string',
payment_link: 'string',
payment_link_expires_at: '2024-01-01T00:00:00Z',
created_at: '2024-01-01T00:00:00Z',
updated_at: '2024-01-01T00:00:00Z',
line_items: [
{
platform_id: 'string',
tracking_category_ids: ['string'],
parent_id: 'string',
parent_type: 'BILL',
item_id: 'string',
name: 'string',
description: 'string',
quantity: 0,
unit_amount: 0,
tax_amount: 0,
discount_amount: 0,
sub_total: 0,
total_amount: 0,
tax_id: 'string',
account_id: 'string',
variant_id: 'string',
created_at: '2024-01-01T00:00:00Z',
updated_at: '2024-01-01T00:00:00Z'
}
],
addresses: [
{
platform_id: 'string',
parent_id: 'string',
parent_type: 'ACCOUNT',
type: 'SHIPPING',
street: 'string',
street2: 'string',
locality: 'string',
city: 'string',
state: 'string',
postal_code: 'string',
country: 'string'
}
]
}
})
};

fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "sync_id": "<string>",
    "data": {
      "rootfi_id": 123,
      "rootfi_created_at": "2023-11-07T05:31:56Z",
      "rootfi_updated_at": "2023-11-07T05:31:56Z",
      "platform_id": "<string>",
      "transaction_ids": [
        "<string>"
      ],
      "order_ids": [
        "<string>"
      ],
      "sales_order_ids": [
        "<string>"
      ],
      "contact_id": "<string>",
      "currency_rate": 123,
      "document_number": "<string>",
      "posted_date": "2023-11-07T05:31:56Z",
      "due_date": "2023-11-07T05:31:56Z",
      "sub_total": 123,
      "tax_amount": 123,
      "total_discount": 123,
      "shipping_amount": 123,
      "total_amount": 123,
      "amount_paid": 123,
      "amount_refunded": 123,
      "amount_credited": 123,
      "amount_due": 123,
      "memo": "<string>",
      "subscription_id": "<string>",
      "payment_link": "<string>",
      "payment_link_expires_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "line_items": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "tracking_category_ids": [
            "<string>"
          ],
          "parent_id": "<string>",
          "item_id": "<string>",
          "name": "<string>",
          "description": "<string>",
          "quantity": 123,
          "unit_amount": 123,
          "tax_amount": 123,
          "discount_amount": 123,
          "sub_total": 123,
          "total_amount": 123,
          "tax_id": "<string>",
          "account_id": "<string>",
          "variant_id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "item": [
            {
              "rootfi_id": 123,
              "rootfi_created_at": "2023-11-07T05:31:56Z",
              "rootfi_updated_at": "2023-11-07T05:31:56Z",
              "platform_id": "<string>",
              "name": "<string>",
              "description": "<string>",
              "code": "<string>",
              "sku": "<string>",
              "price": 123,
              "quantity_on_hand": 123,
              "is_bill_item": true,
              "bill_item": "<unknown>",
              "is_invoice_item": true,
              "invoice_item": "<unknown>",
              "created_at": "2023-11-07T05:31:56Z",
              "updated_at": "2023-11-07T05:31:56Z",
              "variants": [
                {
                  "rootfi_id": 123,
                  "rootfi_created_at": "2023-11-07T05:31:56Z",
                  "rootfi_updated_at": "2023-11-07T05:31:56Z",
                  "platform_id": "<string>",
                  "parent_id": "<string>",
                  "name": "<string>",
                  "sku": "<string>",
                  "price": 123,
                  "compare_at_price": 123,
                  "attributes": "<unknown>"
                }
              ]
            }
          ],
          "tax": [
            {
              "rootfi_id": 123,
              "rootfi_created_at": "2023-11-07T05:31:56Z",
              "rootfi_updated_at": "2023-11-07T05:31:56Z",
              "platform_id": "<string>",
              "name": "<string>",
              "code": "<string>",
              "rate": 123,
              "tax_type": "<string>",
              "effective_tax_rate": 123,
              "total_tax_rate": 123,
              "components": "<unknown>",
              "jurisdiction": "<string>",
              "created_at": "2023-11-07T05:31:56Z",
              "updated_at": "2023-11-07T05:31:56Z"
            }
          ],
          "account": [
            {
              "rootfi_id": 123,
              "rootfi_created_at": "2023-11-07T05:31:56Z",
              "rootfi_updated_at": "2023-11-07T05:31:56Z",
              "platform_id": "<string>",
              "nominal_code": "<string>",
              "name": "<string>",
              "description": "<string>",
              "current_balance": 123,
              "sub_category": "<string>",
              "parent_account_id": "<string>",
              "updated_at": "2023-11-07T05:31:56Z"
            }
          ],
          "variant": [
            {
              "rootfi_id": 123,
              "rootfi_created_at": "2023-11-07T05:31:56Z",
              "rootfi_updated_at": "2023-11-07T05:31:56Z",
              "platform_id": "<string>",
              "parent_id": "<string>",
              "name": "<string>",
              "sku": "<string>",
              "price": 123,
              "compare_at_price": 123,
              "attributes": "<unknown>"
            }
          ]
        }
      ],
      "addresses": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "parent_id": "<string>",
          "street": "<string>",
          "street2": "<string>",
          "locality": "<string>",
          "city": "<string>",
          "state": "<string>",
          "postal_code": "<string>",
          "country": "<string>"
        }
      ],
      "documents": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "file_name": "<string>",
          "file_type": "<string>",
          "file_size": 123,
          "document_type_id": "<string>",
          "document_uploaded": true,
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  },
  "request_id": "<string>"
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

run_async
boolean

Process the write asynchronously. Required when data is an array (batch write).

Body

application/json
data
object
required

Response

200 - application/json

The updated invoices record (sync) or a sync id (async).

data
object
required
request_id
string
required